Summary: Finds and transfers RPM files for a specified program.
Name: rpmfind
Version: 1.6
Release: 5a
Group: Applications/System
Source: ftp://rufus.w3.org/pub/rpmfind/rpmfind-%{version}.tar.gz
Source1: rpmfind.conf
Patch1: rpmfind-1.6-rpm-4.0.3.patch
URL: http://rpmfind.net/linux/rpm2html/rpmfind.html
Copyright: W3C Copyright (BSD like).
Prefix: %{_prefix}
BuildPreReq: libxml >= 1.8.6
Requires: libxml >= 1.8.6
BuildRoot: %{_tmppath}/%{name}-root

%description
Rpmfind will query the local RPM database, or will request the
associated RDF file for a program on a remote database, for
information on a specified program.  Specifically, rpmfind will tell
you what packages are needed to install the program to satisfy all
dependencies and the size of the packages (so you can estimate
download time).  Rpmfind can then even download the packages for you.

%prep
%setup -q
%patch1 -p1 -b .rpm-4.0.3.patch

%build

%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}

install -d ${RPM_BUILD_ROOT}%{_bindir}
install -s rpmfind ${RPM_BUILD_ROOT}%{_bindir}/

install -d ${RPM_BUILD_ROOT}/%{_sysconfdir}
install -c %SOURCE1 ${RPM_BUILD_ROOT}/%{_sysconfdir}/rpmfind.conf
chmod -x ${RPM_BUILD_ROOT}/%{_sysconfdir}/rpmfind.conf

install -d ${RPM_BUILD_ROOT}%{_mandir}/man1
install rpmfind.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/rpmfind.1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc BUGS CHANGES Copyright README TODO 
%{_bindir}/rpmfind
%{_mandir}/man1/rpmfind.1*
%config %{_sysconfdir}/rpmfind.conf

%changelog
* Wed Feb 13 2002 Phil Knirsch <pknirsch@redhat.com>
- Fixed to build with rpm-4.0.3

* Tue Mar  6 2001 Jeff Johnson <jbj@redhat.com>
- rebuild against rpm-4.0.2-0.40.

* Tue Dec 26 2000 Jeff Johnson <jbj@redhat.com>
- rebuild against rpm-4.0.2-0.8.

* Mon Dec 11 2000 Karsten Hopp <karsten@redhat.de>
- rebuild to fix permissions of /usr/share/doc

* Thu Nov  2 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.6.
- add 7.0 sources to default rpmfind.conf.

* Thu Jul 13 2000 Jeff Johnson <jbj@redhat.com>
- add libxml requirement (#13630).

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 21 2000 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.5.

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- coagulate rpm310/rpm40 patch into one.
- better autoconf tests.

* Mon Jun 19 2000 Jeff Johnson <jbj@redhat.com>
- rebuild against rpm-4.0-0.40.

* Thu Jun  1 2000 Matt Wilson <msw@redhat.com>
- rebuild against rpm-4.0
- use _mandir macros for FHS
- use _sysconfdir for FHS

* Sat May 13 2000 Jeff Johnson <jbj@redhat.com>
- correct rpm-3.0.4 lossage.

* Thu Feb 17 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Remove Packager: header (Bug #6371)

* Thu Feb 03 2000 Elliot Lee <sopwith@redhat.com>
- Fix bug #8650

* Mon Jan 31 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.4.
- add 6.2 configuration.
- revert to http://rpmfind.net/linux/RDF.

* Wed Oct  6 1999 Daniel Veillard <Daniel.Veillard@w3.org>
- Preparing 1.3 release
- Corrected a problem with the man installation
- Removed XML and WWW code and reuses libwww and libxml

* Sat Sep 25 1999 Jeff Johnson <jbj@redhat.com>
- default www.redhat.com/RDF config file (Adrian Likins).
- recompile with rpm-3.0.3-1.

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- move to Red Hat 6.1 distribution.

* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2.

* Fri Apr  8 1999 Daniel Veillard <Daniel.Veillard@w3.org>
- Added man page provided by Emmanuel Rouat

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
